基于loongnix操作系统的QT5.6.0版本发布

发布时间:2016-08-01

  Loongnix系统上自带的Qt版本是Qt5.3.2,版本比较老而且Qt官方已经不再维护和更新,也没有qt3d、qtquickcontrols2等模块,对于基于QT的3D应用、QML等的支持不是太好。
  此次升级的Qt5.6.0是Qt官方发布的LST长期支持版本,包含了Qt5的所有模块。相对于Qt5.3.2增加了qt3d、qtquickcontrols2、qtwebengine等模块。其中Qt3d模块的加入方便了使用Qt进行3D应用的开发;qtquickcontrols2去掉了原来一些作用不大的模块,重写了底层实现,加载更快、运行更流畅、内存占用更少;qtwebengine支持flashpepper插件,添加了API支持自定义的URL模式,支持全局Qt代理设置。
  升级到Qt5.6.0后可以让用户在x86平台下的Qt5应用、QML应用更好的运行在龙芯平台。

  点击访问更多QT项目信息,请点击 QT项目;了解源码更改,请点击 QT5.6源码库


返回: 首页 | 产品新闻

本页面最后修改于2016年8月2日 (星期二) 17:07。

© 2017 by 龙芯开源社区 • Powered by MediaWiki